%global debug_package %{nil}
%global prjname cloudnative-pg

Name:           kubectl-cnpg
Version:        1.25.1
Release:        1%{?dist}
Summary:        CloudNativePG plugin for kubectl to manage a cluster in Kubernetes.

License:        Apache-2.0
URL:            https://github.com/%{prjname}/%{prjname}
Source:         https://github.com/%{prjname}/%{prjname}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  go

%description
CloudNativePG is a comprehensive platform designed to seamlessly
manage PostgreSQL databases within Kubernetes environments,
covering the entire operational lifecycle from initial deployment
to ongoing maintenance.

%prep
%autosetup -n %{prjname}-%{version}

%build
go build -ldflags "-w" -o %{name} ./cmd/kubectl-cnpg

%install
install -Dpm 0755 ./%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Sun Apr 13 2025 Andrey Brusnik <dev@shdwchn.io> - 1.25.1-1
- feat: Add kubectl-cnpg package
